### Enumeration

# GIRepository ScopeType

since: 2.80

#### Declaration

    enum GIRepository.ScopeType

#### Description [src]

Scope type of a `GIArgInfo` representing callback, determines how the callback is invoked and is used to decided when the invoke structs can be freed.

Available since: 2.80

#### Members

Name | Description
--- | ---
`GI_SCOPE_TYPE_INVALID` | The argument is not of callback type.
`GI_SCOPE_TYPE_CALL` | The callback and associated `user_data` is only used during the call to this function.
`GI_SCOPE_TYPE_ASYNC` | The callback and associated `user_data` is only used until the callback is invoked, and the callback. is invoked always exactly once.
`GI_SCOPE_TYPE_NOTIFIED` | The callback and associated `user_data` is used until the caller is notified via the `GDestroyNotify`.
`GI_SCOPE_TYPE_FOREVER` | The callback and associated `user_data` is used until the process terminates.